<bugID>908956<Summary>Don't clear the searchbox when focusing with cmd+f</Summary><Description>STR:

1. Cmd+F to focus the search box with "#" operator

2. type something you know is in the debugged script multiple times (var/let/etc...)

3. Focus the source editor (maybe you did this because are adding breakpoints or just want to click and scroll around or whatever)

4. Cmd+F to focus the search box again

Expected:

The search box has "#|&lt;thing you queried in step 2&gt;|" where text in between "|"s is selected. Now you can continue cycling through your matching results with ENTER or Cmd+G some more, or you can start searching for new things in the page without accidentally removing the "#" operator.

Actual:

The search box's previous input was cleared and "#" is in the search box.

--------------------------------------------------------------------------------

I think as long as you are using the same search operator, we should maintain your previous query.</Description></bugID>